import { findAllCodes } from '@sinoform/print-out-core';
/**
 * 判断当前是不是表达式块
 * @param editor
 * @returns
 */
export default function isCodeType(editor, point) {
    const currentNode = editor.children[point.path[0]].children[point.path[1]];
    const codeBlocks = findAllCodes(currentNode.text);
    return (codeBlocks.findIndex((block) => point.offset >= block.start && point.offset <= block.end) !== -1);
}
