import { useState } from 'react';
export default function useWatchProp(propValue, callback) {
    const [currentPropValue, setCurrentPropValue] = useState(propValue);
    if (propValue !== currentPropValue) {
        setCurrentPropValue(propValue);
        callback(propValue);
    }
}
