"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useListenEvent;
var _react = /*#__PURE__*/require("react");
var _useEventCallback = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/utils/useEventCallback"));
function useListenEvent(eventbus, eventName, callback) {
  var handleEvent = (0, _useEventCallback.default)(function (event) {
    callback(event);
  });
  (0, _react.useEffect)(function () {
    eventbus.on(eventName, handleEvent);
    return function () {
      eventbus.removeListener(eventName, handleEvent);
    };
  }, [eventName, eventbus, handleEvent]);
}