import { DEFAULT_CELL_WIDTH } from '@sinoform/print-out-core';
/**
 * 获取表格宽度
 * @param state
 * @returns
 */
export default function getTableWidth(cols, defaultWidth = 50) {
    let width = defaultWidth;
    for (let i = 0; i < cols.len; i += 1) {
        const currentCol = cols[i] ?? { width: DEFAULT_CELL_WIDTH };
        width += currentCol.width;
    }
    return width;
}
