import { CellRange } from '..';
/**
 * 校验当前行是否有被行合并的单元格
 *
 * 单元格中表达式涉及子表单的字段时的前置校验：
 * 不允许子表单所在行的单元格有行合并导致单元格区域超出了本行
 * @param rowIdx
 * @param merges
 */
export default function checkCellMergedInRow(rowIdx: number, merges?: CellRange[]): boolean;
