"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getAllInMergedCells;
var _slicedToArray2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/slicedToArray"));
var _lodashEs = /*#__PURE__*/require("lodash-es");
var _getAllCellsInRange = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./getAllCellsInRange"));
function getAllInMergedCells() {
  var merges = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  return (0, _lodashEs.flatten)(merges.map(function (merge) {
    var _merge = (0, _slicedToArray2.default)(merge, 1),
      _merge$ = (0, _slicedToArray2.default)(_merge[0], 2),
      sri = _merge$[0],
      sci = _merge$[1];
    var allCellsInmerge = (0, _getAllCellsInRange.default)(merge);
    return allCellsInmerge.filter(function (_ref) {
      var _ref2 = (0, _slicedToArray2.default)(_ref, 2),
        rowIdx = _ref2[0],
        colIdx = _ref2[1];
      return !(rowIdx === sri && colIdx === sci);
    });
  }));
}